Bug 475094 - Give the user more context
Give the user more context
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 13:07 EST by Nicolas Mailhot
Modified: 2010-06-28 06:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:54:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-12-07 13:07:21 EST
On Sun, 2008-12-07 at 10:50 +0100, Nicolas Mailhot wrote:
> 
> I would be more constructive to tell the user what the blocking
> program is (command name, user, PID).

The application name and perhaps the user seems useful, I'm not sure
about the cmdline or PID data (although we have this logged if needed).

> A lot of PK messages suffer from this kind of lack of details which is
> not helpful for the user and just makes him want to scream. Please try
> to give users *context* instead of vague maddening generic blurbs.

Right, can you please file a bug against the gnome-packagekit package
and I'll have a look on Monday. Thanks.

Richard.
Comment 1 Matthias Clasen 2008-12-07 13:45:03 EST
Ironic how you ask for more context from PackageKit, but forget to add enough context in this bug report for it to be useful...

What is blocking what here ?
Comment 2 Nicolas Mailhot 2008-12-07 13:59:25 EST
Well, this was just a reminder for Richard and I assumed it would remember the context after a few days

Context here
https://www.redhat.com/archives/fedora-devel-list/2008-December/msg00577.html
Comment 3 Matthias Clasen 2008-12-07 14:11:29 EST
Well, we all know how James feels about PackageKit. 
And I don't think his rant gives any adaequate context for this bug. 
Please describe in your own words what you want. 

If it is what I think it is (more context when refusing to shutdown), this bug is misfiled and needs to move to gnome-power-manager.
Comment 4 Nicolas Mailhot 2008-12-07 14:37:17 EST
This is about giving users informative messages when refusing to shutdown
Comment 5 Bug Zapper 2009-06-09 06:09:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 08:28:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 06:54:49 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.